[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Openldap installation problem

Murat Uğur Eminoğlu wrote:
> Dear all, i 've problem openldap installation. i'm using debian lenny,
> openldap 2.4.19. Error's below.
> openldap-2.4.19# ./configure --prefix=/usr/local/mailserver/openldap
> --enable-crypt --enable-backends --enable-bdb --enable-ldbm
> --enable-perl=no
> checking for ndb_init in -lndbclient... no
> configure: error: could not locate ndbclient library

It looks you don't have the NDB libraries installed or the configure
script can't find them. I had the same problem on my RHEL 5-based system.

If you don't specifically require NDB backend support, remove
"--enable-backends" from your configure command, and only list the ones
you plan on using. You are already specifying the bdb  with
"--enable-bdb". This is what I did.

See the output of 'configure --help' for the full list of options, if
you haven't done so already.